<%@ Page Language="vb" CodeFile="DefaultVB.aspx.vb" Inherits="Telerik.Web.Examples.ToolTip.ToolTipOverview.DefaultVB" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/tr/xhtml11/dtd/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
	<head id="Head1" runat="server">
	
		
		<link rel="stylesheet" href="StyleSheet.css" type="text/css" />
	</head>
	<body class="BODY">
		<form id="Form1" method="post" runat="server">
			
		<asp:ScriptManager id="ScriptManager1" runat="server"/>	
		
		<p>
		    Move the mouse over the stars to post a comment and click on one of them to post a rating.
		</p>
				
		<div style="width:740px;height:38px;background:url(Images/bg.gif) no-repeat;padding-top:9px;">
		            <img src="Images/prev.gif" runat="server" ID="lblPrev"  style="margin-left:17px;vertical-align:middle;" alt="previous"/>
		            <telerik:RadToolTip ID="RadToolTip2" runat="server"
		             TargetControlID="lblPrev"
		             HideEvent="LeaveToolTip"		             		              
		             RelativeTo="Element" 
                     Skin="Telerik"
                     Position="BottomCenter"
		             Text="Previous article: USNews Top 10">
		            </telerik:RadToolTip>
                    <img src="Images/next.gif" runat="server" id="lblNext"  style="margin-left:21px;margin-right:426px;vertical-align:middle;"  alt="next"/>
		            <telerik:RadToolTip ID="RadToolTip3" runat="server"
		             TargetControlID="lblNext"		             
		             HideEvent="LeaveToolTip"		             		             
		             RelativeTo="Element" 
		             Text="Next Article: CNN Annual"
                     Skin="Telerik"
		             Position="BottomCenter">
		            </telerik:RadToolTip>
		        <span id="comments" style="padding-top:2px;"> 
		            <img src="Images/UnSelected.gif" id="poor" alt="Poor" />
		            <img src="Images/UnSelected.gif" id="average" alt="Average" />
		            <img src="Images/UnSelected.gif" id="good" alt="Good"/>
		            <img src="Images/UnSelected.gif" id="veryGood" alt="Very good" />
		            <img src="Images/UnSelected.gif" id="excellent" alt="Excellent"/>
		        </span>
		</div>
		<asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnPostComment" />
            </Triggers>
            <ContentTemplate>
                <div class="module" style="width:715px;">
					<input id="lblHiddedStars" runat="server" type="hidden" />
					<p id="rating-container">Rating:<asp:Label ID="lblSelectedStars" runat="server" CssClass="RatingField"></asp:Label></p>
					<p id="feedback-container">Feedback:<asp:Label ID="lblInsertedComment" runat="server" CssClass="FeedbackField"></asp:Label></p>
					
					<div class="corner c-tl"></div>
					<div class="corner c-tr"></div>
					<div class="corner c-bl"></div>
					<div class="corner c-br"></div>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>	
        
        <script>
       
        
        </script>
        
		<telerik:RadToolTip ID="RadToolTip1" runat="server"	 		 
		 HideEvent=FromCode		 
		 TargetControlID="comments" 
		 IsClientID="true" 		 
		 RelativeTo="Element"
         Skin="Default"
		 Position="BottomLeft"
		 OffsetX="-15"
		 Animation="Resize">
		    <asp:UpdatePanel ID="upComments" runat="server">
		        <ContentTemplate>
		            <asp:Label ID="lblInstructions" runat="server" Text="Your feedback:" style="color:#2b2b2b;font-size:14px;"></asp:Label><br />
		            <asp:TextBox ID="txtComments" runat="server" TextMode="MultiLine" Rows="5" Columns="30"></asp:TextBox><br />
		            <asp:Button ID="btnPostComment" UseSubmitBehavior="false" runat="server" style="background:url(Images/button.gif) no-repeat;border:0;width:109px;height:21px;line-height:21px;padding-left:10px;text-align:left;margin-top:5px;color:#3e570a" Text="Post" OnClick="btnPostComment_Click" />
		            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
		            ControlToValidate="txtComments"
		            Display="Dynamic" ErrorMessage="Please use plain text only"
		            ValidationExpression="[^<]+"
		            ></asp:RegularExpressionValidator>
		        </ContentTemplate>
		    </asp:UpdatePanel>
		</telerik:RadToolTip>
		<script type="text/javascript">
		//<![CDATA[
		var comments = document.getElementById("comments");
		comments.onmouseleave = function()
		{
		    var hiddenField = document.getElementById("<%= lblHiddedStars.ClientID %>");		    
		    if (!hiddenField.value)
		    {
		       //Clear stars                
		       for (var i = 0; i < selectedStars.length; i++)
    		        selectedStars[i].src = "Images/UnSelected.gif"; 
		    }
		}
		
	    var selectedStars = comments.getElementsByTagName("IMG");
	    
	    
		function attachImageHandlers(thisImg)
	    {		    
	        thisImg.onclick = function() {SelectStar(thisImg, true) };		    
	        thisImg.onmouseover = function() {SelectStar(thisImg); return false; };
	        thisImg.onmouseout = function() { return false; };
	    }
		    
		for (var i=0; i < selectedStars.length; i++)
		{	
		    //attach the onclick and onmouseover handlers for all the stars	      		   
		    attachImageHandlers(selectedStars[i]);		    
		}
				
		function SelectStar(star, clicked)
		{
		    var hiddenField = document.getElementById("<%= lblHiddedStars.ClientID %>");
		    var curSelIndex = ("" != hiddenField.value) ? parseInt(hiddenField.value) : -1;
		                     
		    var starIndex = -1; 
		    for (var i = 0; i < selectedStars.length; i++)
		    {
		        var curStar = selectedStars[i];
		        if (starIndex > -1)
		        {
		            if (i > curSelIndex) curStar.src = "Images/UnSelected.gif";
		        }
		        else
		        {
		            if (true == clicked)
		            {
		                curStar.src = "Images/SetStar.gif";
		            }
		            else
		            {		                
		                curStar.src = (i <= curSelIndex) ? "Images/SetStar.gif" :  "Images/Selected.gif" ;
		            }		            
		        }	
		        	        		        	        		        
		        if (curStar == star)
		        {
		            starIndex = i;		            
		            if (true == clicked)
		            {
		                hiddenField.value = starIndex;
		                curSelIndex = starIndex;
		            }		            
		        }		        
		    }
		}
		
		function CloseToolTip1()
		{
		    //once a comment has been posted, close the RadToolTip
		   
		    var tooltip = Telerik.Web.UI.RadToolTip.getCurrent();
            if (tooltip) tooltip.hide(); 
		}
		//]]>
		</script>
		</form>
	</body>
</html>